require "ask_error/version"

  class LoadError
    def exception
      return LoadError.new("そんなファイルあるわけないじゃない!")
    end
  end

  class NotImplementedError
    def exception
      return SyntaxError.new("この機能実装してないでしょ!")
    end
  end

  class SyntaxError
    def exception
      return SyntaxError.new("あんたバカぁ?こんなコード動くはずないじゃない！")
    end
  end

  class ArgumentError
    def exception
      return ArgumentError.new("あんたバカぁ?引数の数が違うのに気付かないの…？")
    end
  end

  class IOError
    def exception
      return IOError.new("もーぉ、入出力できないぃ！")
    end
  end

  class EOFError
    def exception
      return EOFError.new("これ以上ファイル読めないわよ！")
    end
  end

  class IndexError
    def exception
      return IndexError.new("何してんのよ！添字が足りなくなったじゃない！")
    end
  end

  class LocalJumpError
    def exception
      return LocalJumpError.new("ブロックがないわよ！")
    end
  end

  class NameError
    def exception
      return NameError.new("あんたバカぁ?そんな変数あるわけないじゃない！！")
    end
  end

  class NoMethodError
    def exception
      return NoMethodError.new("あんたバカぁ?そんな関数あるわけないじゃない！！")
    end
  end

  class RangeError
    def exception
      return RangeError.new("やばーッ!これ大きすぎない？")
    end
  end

  class FloatDomainError
    def exception
      return FloatDomainError.new("わかってる？これ無限よ？")
    end
  end

  class FiberError
    def exception
      return FiberError.new("もーぉ！！Fiberを他のスレッドから呼ばない！")
    end
  end

  class ThreadError
    def exception
      return ThreadError.new("スレッドのエラーよ！ちゃんと確認しなさい！")
    end
  end

  class RegexpError
    def exception
      return RegexpError.new("カッコつけて正規表現なんか使っちゃって！バッカみたい！")
    end
  end

  class TypeError
    def exception
      return TypeError.new("そんな型、期待してないわよ！")
    end
  end

  class ZeroDivisionError
    def exception
      return ZeroDivisionError.new("バカねぇ　数字をゼロで割るなんて")
    end
  end
